Bug 221625 - 2.6.18 CIFS VFS mount timeouts to EMC Cellerra
2.6.18 CIFS VFS mount timeouts to EMC Cellerra
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 13:12 EST by Pavel May
Modified: 2014-06-18 03:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 08:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 4312 None None None Never

  None (edit)
Description Pavel May 2007-01-05 13:12:11 EST
Description of problem:

Upgraded to the latest (2.6.18-1.2257), mounted the EMC filesystem via this 
entry in /etc/fstab:

//filesrv1/news /mnt/win/filesrv1/news cifs workgroup=workgroup,credentials=/
usr/share/credentials,rw,uid=500,auto 0 0

Accessing the contents of any given file (say, via cat or less or some such) 
yields these in dmesg:

[801027.110334]  CIFS VFS: RFC1001 size 135 bigger than SMB for Mid=18
[801027.110344] Bad SMB: : dump of 48 bytes of data at 0xffff81003fb75700
[801027.110358]  00000087 424d53ff 000000a2 c0018000 . . . . S M B . . . . . . 
     [801027.110376]  00000000 00000000 00000000 4035003f
 . . . . . . . . . . . . ? . 5 @
[801027.110395]  0012003f 0000ff2a 003f0100 00000001 ? . . . * . . . . ?
 . . . . .
[801083.993639]  CIFS VFS: server not responding
[801083.993647]  CIFS VFS: No response for cmd 162 mid 18


And these in /var/log/messages:
Jan  4 16:41:56 quant16 kernel: [801027.110334]  CIFS VFS: RFC1001 size 135 
bigger than SMB for Mid=18
Jan  4 16:42:52 quant16 kernel: [801083.993639]  CIFS VFS: server not responding
Jan  4 16:42:52 quant16 kernel: [801083.993647]  CIFS VFS: No response for cmd 
162 mid 18


Version-Release number of selected component (if applicable):
2.6.18-1.2257

How reproducible:
Easily

Steps to Reproduce:
1. Upgrade kernel to 2.6.18.x
2. CIFS-mount EMC's CELLERRA array (suspect that other EMC products are 
similarly affected)
3. Cat a file on the mount point

  
Actual results:
Command hangs/times out. SIGKILL is honored.

Expected results:
Get contents of file.

Additional info:
Replicated on FC6 2.6.18-1.2489 x86_64
Comment 1 Jeff Layton 2007-08-30 08:21:01 EDT
This is a known bug in EMC Celerras. There is more info in the RHEL5 equivalent
case, bug #246093. To resolve this issue, upgrade to NAS Code 5.5.27.5 or later
(use EMC Primus case number emc165978).

Note You need to log in before you can comment on or make changes to this bug.